#!/bin/bash
# WMJ /dev/dsp and /dev/mixer checker.
#
# If your system resets the /dev/dsp and /dev/mixer at boottime to mode 600,
#  it might be smart to run this file at the end of the boottime. To do that
#  place this file in your 'rc.local' script, located at /etc/rc.d/rc.local or
#  /etc/rc.local.

if [ -r /dev/dsp ]; then
    chmod 666 /dev/dsp
else
    echo "NACK NACK!! Could not find the /dev/dsp!! If you have an soundcard installed, please contact us at http://wmj.sourceforge.net/"
fi

if [ -r /dev/mixer ]; then
    chmod 666 /dev/mixer
else
    echo "NACK NACK!! Could not find the /dev/mixer!! If you have an soundcard installed, please contact us at http://wmj.sourceforge.net/"
fi
